## bluez-pin 0.23-1

=== Makefile ===
PREFIX = /usr/local
SYSCONFDIR=$(PREFIX)/etc
PACKAGE = bluez-pin
CVSBUILD = no
GTK2 = yes
LINGUAS = eo fr id ga wa sv cs af de fi hu nl pt_BR ro sk sr
VERSION = 0.23

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

CFLAGS += -O2 -g

CFLAGS += `pkg-config --cflags gtk+-2.0 libglade-2.0 dbus-glib-1 gconf-2.0` -DGTK_DISABLE_DEPRECATED -DDBUS_API_SUBJECT_TO_CHANGE
LDFLAGS += `pkg-config --libs gtk+-2.0 libglade-2.0 dbus-glib-1 gconf-2.0` -lbluetooth
CFLAGS += -Wall

CPPFLAGS += -DPACKAGE=\"$(PACKAGE)\" -DPREFIX=\"$(PREFIX)\" -DPACKAGE_LOCALE_DIR=\"$(PREFIX)/share/locale\"

MEMBERS = main pin-dbus pin-ui
GLADE = bluez-pin.glade bluez-pin-gpe.glade

OBJS = $(patsubst %,%.o,$(MEMBERS))
DEPS = $(patsubst %,%.d,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS)) bluez.conf $(GLADE)

all: $(PACKAGE) bluez.conf

$(PACKAGE): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS)

install-program: all
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	install -s $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/$(PACKAGE)
	mkdir -p $(DESTDIR)$(SYSCONFDIR)/dbus-1/system.d/
	install -m 644 bluez.conf $(DESTDIR)$(SYSCONFDIR)/dbus-1/system.d/
	mkdir -p $(DESTDIR)$(PREFIX)/share/pixmaps
	install -m 644 bt-logo.png $(DESTDIR)$(PREFIX)/share/pixmaps/bt-logo.png
	mkdir -p $(DESTDIR)$(PREFIX)/share/bluez-pin/
	install -m 644 $(GLADE) $(DESTDIR)$(PREFIX)/share/bluez-pin/

clean:
	rm -f $(PACKAGE) $(OBJS) *.bak *.gladep

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg

=== debian/changelog ===
bluez-pin (0.23-1) unstable; urgency=low

  * New upstream release.

 -- Phil Blundell <pb@nexus.co.uk>  Wed, 24 Mar 2004 23:32:07 +0000

bluez-pin (0.22-1) unstable; urgency=low

  * Update to work with D-BUS 0.20.  (Closes: #230254)

 -- Philip Blundell <pb@handhelds.org>  Wed,  4 Feb 2004 20:13:11 +0000

bluez-pin (0.21-3) unstable; urgency=low

  * Install dbus config file to correct location, courtesy Dagfinn 
    Ilmari (Closes: #220516)

 -- Philip Blundell <pb@handhelds.org>  Thu, 15 Jan 2004 19:55:49 +0000

bluez-pin (0.21-2) unstable; urgency=low

  * Add missing build-depends on libgconf2-dev; closes: #217639

 -- Philip Blundell <pb@nexus.co.uk>  Sun, 26 Oct 2003 14:14:27 +0000

bluez-pin (0.21-1) unstable; urgency=low

  * New upstream release.
  * Correctly query for $DISPLAY, thanks to Sjoerd Simons.  
    (Closes: #217625, #205023)

 -- Philip Blundell <pb@handhelds.org>  Sun, 26 Oct 2003 11:32:34 +0000

bluez-pin (0.20-1) unstable; urgency=low

  * Initial Release.

 -- Philip Blundell <pb@handhelds.org>  Sun, 22 Jun 2003 21:01:58 +0100

=== debian/control ===
Source: bluez-pin
Section: net
Priority: optional
Maintainer: Phil Blundell <pb@nexus.co.uk>
Build-Depends: debhelper (>> 3.0.0), dbus-glib-1-dev (>= 0.20), libgtk2.0-dev, libbluetooth1-dev, libglade2-dev, libgconf2-dev
Standards-Version: 3.5.2

Package: bluez-pin
Architecture: any
Depends: ${shlibs:Depends}
Description: Bluetooth PIN helper with D-BUS support
 Bluez-pin provides a user interface for entering the PIN codes needed
 when pairing one Bluetooth device with another.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) PREFIX=/usr SYSCONFDIR=/etc
	#/usr/bin/docbook-to-man debian/bluez-pin.sgml > bluez-pin.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/bluez-pin.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/bluez-pin PREFIX=/usr SYSCONFDIR=/etc


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## bluez-pin 0.24

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 CVSBUILD = no
 GTK2 = yes
 LINGUAS = eo fr id ga wa sv cs af de fi hu nl pt_BR ro sk sr
-VERSION = 0.23
+VERSION = 0.24
 
 ifeq ($(CVSBUILD),yes)
 BUILD = ../build

## bluez-pin 0.25

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 PACKAGE = bluez-pin
 CVSBUILD = no
 GTK2 = yes
-LINGUAS = eo fr id ga wa sv cs af de fi hu nl pt_BR ro sk sr
-VERSION = 0.24
+LINGUAS = zh_CN ga hu fi fr el eo cs de vi tr uk sk sv sr af rm ro ru rw wa pl nl pt_BR id
+VERSION = 0.25
 
 ifeq ($(CVSBUILD),yes)
 BUILD = ../build
